Package org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl

# Class ResourceAttachmentChangeProvider

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.item.impl.ResourceAttachmentChangeProvider

All Implemented Interfaces:
  `IMergeViewerItemContentProvider`, `IOptionalProvider`

public class ResourceAttachmentChangeProvider extends Object implements IMergeViewerItemContentProvider
Legacy Provider to keep backward compatibility with `ResourceAttachmentChangeMergeViewerItem`.

## Constructor Summary

Constructors
Constructor
Description
`ResourceAttachmentChangeProvider()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canHandle(Object object)`
Indicates whether this provider wants to handle the given `object`.
`Object[]`
`getChildren(Object object, IMergeViewerItemProviderConfiguration configuration)`
Determine the children of the given `object`
`Object`
`getParent(Object object, IMergeViewerItemProviderConfiguration configuration)`
Determine the parent of the given `object`.
`boolean`
`hasChildren(Object object, IMergeViewerItemProviderConfiguration configuration)`
Indicates whether the given `object` has children.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceAttachmentChangeProvider

public ResourceAttachmentChangeProvider()

## Method Details

### getParent

public Object getParent(Object object, IMergeViewerItemProviderConfiguration configuration)
Determine the parent of the given `object`.

Specified by:
  `getParent` in interface `IMergeViewerItemContentProvider`
Parameters:
  `object` - the `Object` for which the parent is to be determined.
  `configuration` - the `IMergeViewerItemProviderConfiguration`.
Returns:
  the determined parent object, `null` if there is none.

### getChildren

public Object[] getChildren(Object object, IMergeViewerItemProviderConfiguration configuration)
Determine the children of the given `object`

Specified by:
  `getChildren` in interface `IMergeViewerItemContentProvider`
Parameters:
  `object` - the `Object` for which the children are to be determined.
  `configuration` - the `IMergeViewerItemProviderConfiguration`.
Returns:
  an array with the determined children, an empty array if there are none.

### hasChildren

public boolean hasChildren(Object object, IMergeViewerItemProviderConfiguration configuration)
Indicates whether the given `object` has children.

Specified by:
  `hasChildren` in interface `IMergeViewerItemContentProvider`
Parameters:
  `object` - the `Object` for which it is indicated whether it has children.
  `configuration` - the `IMergeViewerItemProviderConfiguration`.
Returns:
  `true` if the given object has children, `false` otherwise.

### canHandle

public boolean canHandle(Object object)
Indicates whether this provider wants to handle the given `object`.

Specified by:
  `canHandle` in interface `IOptionalProvider`
Parameters:
  `object` - the `Object`.
Returns:
  `true` if the provider wants to handle the given `object`, `false` otherwise.